
% function delta = deltaDist(data,tidsintervall)
clear delta filtrerIvc filtrerIvr
tidsintervall = measdata.interval;
posy = data.posisjon.y;
trykk = data.trykk.lv;
beatStart = data.beatStart + round(0.15 * data.fs);
beatStopp = data.beatStopp + round(0.15 * data.fs);
ivc = data.ivrc.ivc;
ivr = data.ivrc.ivr;

for i=1:length(ivr)
    midlIvr = posy( ivr(i,1):beatStopp(i) );
    midlIvc = posy( ivc(i,1):beatStopp(i) );
    [y j] = max(midlIvr);
    delta.Ivr(i) = midlIvr(j)-midlIvr(1);
    [x k] = min(midlIvc);
    delta.Ivc(i) = midlIvc(k)-midlIvc(1);
    clear midlIvr midlIvc
end

%Filtrerer signalet slik at det ser penere ut
filtrerIvc = delta.Ivc;
for i =1:length(filtrerIvc) - 10
        midler(i) = sum( filtrerIvc(i) + filtrerIvc(i+1) + filtrerIvc(i+2) + filtrerIvc(i+3) + filtrerIvc(i+4) + filtrerIvc(i+5) + filtrerIvc(i+6) + filtrerIvc(i+7) + filtrerIvc(i+8) + filtrerIvc(i+9) ) / 10;  %+ filtrer(i+10) + filtrer(i+11)) 
end
delta.Ivc = midler;

filtrerIvr = delta.Ivr;
for i =1:length(filtrerIvr) - 10
        midler(i) = sum( filtrerIvr(i) + filtrerIvr(i+1) + filtrerIvr(i+2) + filtrerIvr(i+3) + filtrerIvr(i+4) + filtrerIvr(i+5) + filtrerIvr(i+6) + filtrerIvr(i+7) + filtrerIvr(i+8) + filtrerIvr(i+9) ) / 10;  %+ filtrer(i+10) + filtrer(i+11)) 
end
delta.Ivr = midler;

t = linspace(tidsintervall(1)-10,tidsintervall(2)+10,length(delta.Ivr));
subplot(2,1,1)
    set(gca,'fontsize',14);
    plot(t,delta.Ivc);grid minor,xlabel('Tid [s]'),ylabel('Delta-distanse [m]'),title('IVC i y-retning');%ylim([-0.015 0]);
subplot(2,1,2)
    set(gca,'fontsize',14)
    plot(t,delta.Ivr,'r');grid minor,xlabel('Tid [s]'),ylabel('Delta-distanse [m]'),title('IVR-i y-retning');%ylim([0 0.015]);