%%%  fart = regn_ut_fart_for_hjerteslag_i_ivrc(akselerasjon, beatStart, ivr, ivc, fs,
%%%  tekst)
%%%
%%% fart.ivr -> farten i ivr
%%% fart.ivc -> farten i ivc
%%% Settes tekst til 'tidlig systole' vil fart.ivc vre farten i tidlig systole
%%%
%%% Tekst kan vre:
%%%         1: 'ivc'
%%%         2: 'tidlig systole'


function fart = regn_ut_fart_for_hjerteslag_i_ivrc(akselerasjon, beatStart, ivr, ivc, fs, tekst)

tekst = lower(tekst);

if( strcmp(tekst, 'tidlig systole') )
    tidligSystole.start = beatStart + round(0.15 * fs);
    tidligSystole.stopp = tidligSystole.start + round(0.15 * fs);
    kjorIvc = 0;
elseif( strcmp( tekst, 'ivc' ) )
    kjorIvc = 1;
else
    disp('Parameteren "tekst" er ikke riktig, metoden avsluttes')
    fart = [];
    return
end

signalX = akselerasjon; %y-aksen

signalX = MHintegrate( -1* signalX , fs , 1 , 1 ); % fart i y-retning

fart.feil = [];

%data.ivrc.ivc(:,1)
teller = 1;
for i = 1:length(ivc)
    if (kjorIvc == 1)
        if( ivc(i,1) == ivc(i,2) ) 
            fart.feil = [ fart.feil i ];
            fart.ivc(teller) = 0;
        else
            temp = signalX( ivc(i,1) : ivc(i,2) );
            fart.ivc(teller) = sum( temp ) / length (signalX( ivc(i,1) : ivc(i,2) ));
        end
    else
        if( tidligSystole.start(i) == tidligSystole.stopp(i) ) 
            disp(i)
            fart.ivc(teller) = 0;%fart_i_ivc(teller-1);
        else
            temp = signalX( tidligSystole.start(i) : tidligSystole.stopp(i) );
            fart.ivc(teller) = sum( temp ) / length (signalX( tidligSystole.start(i) : tidligSystole.stopp(i)));
        end
    end

    % 
    if( ivr(i,1) == ivr(i,2) ) 
        disp(i)
        fart.ivr(teller) = 0;%fart_i_ivc(teller-1);
    else
        temp = signalX( ivr(i,1) : ivr(i,2) );
        fart.ivr(teller) = sum( temp ) / length (signalX( ivr(i,1) : ivr(i,2) ));
    end
    teller = teller + 1;
    
end


