function cal=ReadCalibration(sensor)
% function ReadCalibration(sensor)

% Lars Hoff, HVE, September 2003

calibrationfile = 'ADXLcalibration.cal';
src= fopen(calibrationfile, 'rt');

ok=0; eof=0;
while not(ok | eof)
  s  = fgetl(src);
  eof= isequal(s,-1);
  ok = strcmpi(s,sensor);
end

if eof, error ('No match found'), return, end

for k=1:2
  s=fgetl(src);
  cal(k,:)= sscanf(s,'%f')';
end

fclose(src);
return