function y=RemoveRespiration(x,fs,fc)
% function y=RemoveRespiration(x,fs,fc)
%
% Remove respiration motion by high-pass filtering
% Extracted from 'MHintegrate.m', from 2004

% Lars Hoff, HVE, Feb 2007

[B,A]= butter(4, fc/(fs/2),'high');  % Filter definition
y= x-meanM(x);                       % Remove DC-value
y= filtfilt(B,A,y);                  % Two-way zero phase filter

return