function ReorganizePressure(n)

mask = sprintf('AP%d*.mat',n)
files= dir(mask);

if n<113
    Nf = length(files);
    for k=1:Nf
        fprintf('\nFile: %-24s ... ', files(k).name)
        load( files(k).name)

        if n==112
            fprintf (' Organizing ...')
            p1= wfm.trace(10:12,:);
            p2= p1([3 1 2],:);
            wfm.trace(10:12,:)=p2;   
        elseif  ismember(n,[107:110])
            fprintf (' Organizing ...')
            p1= wfm.trace(10:12,:);
            p2= p1([3 2 1],:);
            wfm.trace(10:12,:)=p2;   
        end
        fprintf (' Saving ...')
        save(files(k).name, 'sample', 'wfm' )
        fprintf (' Ready ')
    end
    fprintf ('\n')    
end
return