injeksjon = 'Vaeske';

metoder = {'areal';
'delta';
'fart';
'effekt';
'bevegelse';
'vinkel';
'korrelasjon';
};

hvilken_injeksjon = [ strcmp(lower( injeksjon ) , 'adrenalin');
                      strcmp(lower( injeksjon ) , 'betta');
                      strcmp(lower( injeksjon ) , 'niprid');
                      strcmp(lower( injeksjon ) , 'vaeske');
                    ]
        
antall_metoder = size(metoder);
antall_metoder = antall_metoder(1);

y = [];
X = [];
metodeListe = {};

for i = 1:antall_metoder
    struktur_metode = les_inn_data_fra_metode([ metoder{i,:} '_div.mat'] );
    for j = 2:5
        if(hvilken_injeksjon(j-1) == 0)
            struktur_metode{j,1} = [];
            struktur_metode{j,2} = [];
            struktur_metode{j,3} = [];
            struktur_metode{j,4} = [];
            struktur_metode{j,5} = [];
        end
    end
            
    svar = sorter_som_Mette_vil_ha_det(struktur_metode , metoder{i,:});

    y = [y; svar.forhold];
    X = [X; svar.gris ones(size(svar.gris))*i];
    
    
    metodeListe = [metodeListe; svar.metodeListe];
    
    mette_matrise = [y,X];

end

metodeListe = char(metodeListe);

hold on;%figure
set(gca,'fontsize',14)
boxplot( ( ( log(y) ) ), metodeListe, 'grouporder',metoder)
title(injeksjon)
ylabel('Forholdstall')