%%% Tar inn dataen og tidsintervallet dataen er fra i fra kjorProgram.m 
%%% bruk: work = areal(data,intervall)
%%% gir ut work, som er arbeidet hjertet gjr under hvert hjerteslag
%%% arbeidet blir beregnet ved  beregne det arealet som blir omsluttet
%%% av posisjonen i y-retning og trykk i venstre ventrikkel


% function work = areal(data,intervall)
clear work

intervall = measdata.interval;
% posx = data.posisjon.x;
posy = data.posisjon.y;
% posz = data.posisjon.z;
% res = sqrt(posx.^2 + posy.^2 + posz.^2);
trykk = data.trykk.lv;
beatStart = data.beatStart;
beatStopp = data.beatStopp;

% angir hvor okklusjonen starter og slutter

oklusjonStart = 51;
oklusjonStopp = 633;

lagre_bilder = 1;


% dersom lagre_bilder == 1 blir arbeidet printet ut etterhvert for hvert
% hjerteslag med plotter, slik at man kan lage film. dersom lagre_bilder ~= 1 
% blir kun det totale arbeidet plottet ut for hele tidsintervallet
if(lagre_bilder == 1)

    for i = 1:length(beatStart)

        subplot(2,1,1)
        if (i>oklusjonStart && i< oklusjonStopp) 
            plot(data.posisjon.y(data.beatStart(i):data.beatStopp(i)),trykk(beatStart(i):beatStopp(i)),'r');hold on
        else
            plot(data.posisjon.y(data.beatStart(i):data.beatStopp(i)),trykk(beatStart(i):beatStopp(i)));hold on
        end
            % setter punkter der ivc og ivr starter og slutter. grnn sirkel der det er ivc-start og -stopp og svart sirkel der det er ivr-start og -stopp 
%             scatter(posy(data.ivrc.ivc(i,1)),trykk(data.ivrc.ivc(i,1)),25,'g');hold on;
%             scatter(posy(data.ivrc.ivc(i,2)),trykk(data.ivrc.ivc(i,2)),25,'g');hold on;
%             scatter(posy(data.ivrc.ivr(i,1)),trykk(data.ivrc.ivr(i,1)),25,'k');hold on;
%             scatter(posy(data.ivrc.ivr(i,2)),trykk(data.ivrc.ivr(i,2)),25,'k');hold on;
            title(['Trykk vs bevegelse i y-planet i hjerteslag nr: ' num2str(i) ' og ved ' num2str(beatStart(i)/data.fs + intervall(1)-10) ' sekunder.']),xlabel('Posisjonen i y-retning'),ylabel('Trykket i LV [mm Hg]');
            xlim([-0.03 0.03])
            ylim([-20 130]);grid on
            hold off

        work(i) = polyarea(posy(beatStart(i):beatStopp(i)), trykk(beatStart(i):beatStopp(i)));
%         if( i>10 && work(i)<2) 
%             work(i) = work(i-1); 
%         end
        subplot(2,1,2)
            plot(work);
            title(['Arealet til hjertet etter ' num2str(beatStart(i)/data.fs +intervall(1)-10) ' sekunder' ]);
            xlabel('Hjerteslag'), ylabel('Areal')
            xlim([0 length(beatStart)]);
            ylim([0 4]);grid on;

            print( '-djpeg90', ['Arbeid\AP111_vaeske\Arealet_av_pos_mot_trykk_ved_AP111_i_hjerteslagnummer_ ' num2str( dec2base(i,10,5) ) '.jpg'] );
    end
else
   
    for i = 1:length(beatStart)
        work(i) = polyarea(posy(beatStart(i):beatStopp(i)), trykk(beatStart(i):beatStopp(i)));
    end
    
    filtrerIvr = work;
    for i =1:length(filtrerIvr) - 10
        midler(i) = sum( filtrerIvr(i) + filtrerIvr(i+1) + filtrerIvr(i+2) + filtrerIvr(i+3) + filtrerIvr(i+4) + filtrerIvr(i+5) + filtrerIvr(i+6) + filtrerIvr(i+7) + filtrerIvr(i+8) + filtrerIvr(i+9) ) / 10;  %+ filtrer(i+10) + filtrer(i+11)) 
    end
    work = midler;

end
disp(['Snittet er ' num2str(mean(work))])

t = linspace(intervall(1)-10,intervall(2)+10, length(work));
set(gca,'fontsize',14)
plot(t,work);grid minor
title('Areal av trykk mot posisjon')
% title(['Snittet er ' num2str(mean(work))]);
xlabel('Tid [s]'), %ylim([0 2.7]);
ylabel('Areal av posisjon mot trykk');