% Kjr initialiser.m fr du kjrer denne filen, ellers vil det ikke fungere
% m kjre ivrc-filen frst i ivrc-mapp
%
% M bruke for FinnQRboelgen.m  finne hjerteslagene for tidig systole



% i sekunder
fra = measdata.interval(1)-10;
til = measdata.interval(2)+10;

tittel_plot = 'AP110 rec: 4  - Okklusjon Y-retning';
akselerasjon = data.akselerasjon.y;

fontstorrelse = 14;

tekst = 'ivc'; 
%tekst = 'tidlig systole';
fart = regn_ut_fart_for_hjerteslag_i_ivrc(akselerasjon, data.beatStart,data.ivrc.ivr, data.ivrc.ivc, data.fs, tekst);

%t0 = data.akselerasjon.t0;



% plotting:

figure;
subplot(2,1,1)    
    midl = [];
    forhold = (fart.ivr)./(abs(fart.ivc)+abs(fart.ivr));
    for i =1:length(forhold)-8
        midl(i) = sum(forhold(i)+forhold(i+1)+forhold(i+2)+forhold(i+3)+forhold(i+4)+forhold(i+5)+forhold(i+6)+forhold(i+7))/8;
    end
    forhold = midl;
    
    t = linspace(fra, til, length(forhold));
%     t = linspace(t0, (length( akselerasjon ) /data.fs) +t0 , length(forhold));
    set(gca,'fontsize',fontstorrelse)
    plot(t,forhold);
    %title(tittel_plot);
    title([ tittel_plot ', gj.snitt: ' num2str( mean(forhold) ) ]);
    ylabel([ 'Forhold mellom fart i ivr og ' tekst ])
    grid minor;
    xlim([fra til])
    ylim([-1 1]);
   % legend('Forhold', 'location', 'SouthEast')

subplot(2,1,2)
    
    t = linspace(fra, til, length(fart.ivc));
%     t = linspace(fra,  (length( akselerasjon ) /data.fs) + t0 , length(fart.ivc));
    set(gca,'fontsize',fontstorrelse)
    plot(t,fart.ivc)
    grid minor;
    hold on;
    plot(t,fart.ivr,'r')
    
    legend(upper(tekst),'IVR');
    xlabel('Tid [s]')
    ylabel('Fart [m/s] ')
    xlim([fra til])
    ylim([-0.2 0.2]);
