function timelimits = FindInterval(tlim,fs);
% function timelimits = FindInterval(tlim,fs);
%
% Find indices based on tile limits and sample rate

% Lars Hoff, Jan 2007

tx  = 10; % Extra time span to load, to avoid filter transients
tmin= max([ min(tlim)-tx 0]);
tmax= max(tlim)+tx;

timelimits.t0 = tmin;
timelimits.dt = 1/fs;
timelimits.n0 = tmin/timelimits.dt+1;
timelimits.Nn = (tmax-tmin)/timelimits.dt;

return