function [y_svar,f_svar,t_svar,p_svar] = specMini(vindu, overlap, dataX, dataY, dataZ, Fs, t0)

%%% Lagre akselerometerdata i variablene dataX, dataY og dataZ

    y_svar = 0;
    f_svar = 0;
    t_svar = 0;
    p_svar = 0;

fra = t0*Fs;
til = length(dataX) + t0*Fs;

ax = dataX;%( fra:til );
ay = dataY;%( fra:til );
az = dataZ;%( fra:til );

%Kun lavpassdelen som ser interesant ut

[B A] = butter(4, [1/Fs 50/Fs]);
ax_filt = filter(B, A, ax);
ay_filt = filter(B, A, ay);
az_filt = filter(B, A, az);

% figure
% subplot(2,1,1)
%     [y,f,t,p] = spectrogram(ax, vindu, overlap, 0:1:(Fs/2) ,Fs, 'yaxis');
%     T = linspace(fra/500, til/500, length(t));
%     set(gca,'fontsize',14)
%     surf(T,f,10*log10(abs(p)),'EdgeColor','none'); 
%     view([-0.5 90]);
%     title(['Akselerasjon i x-retning, 0 til 250 Hz, Vindu: ' num2str(vindu) ' sampler, Overlapp: ' num2str(overlap) ' sampler']);
%     xlabel('tid i sek');
%     ylabel('Frekvens i Hz')
%     xlim([fra/Fs til/Fs]);
%     ylim([0 (Fs/2)]);
%     %colormap('gray');
%    
%     
% subplot(2,1,2)
%     [y,f,t,p] = spectrogram(ax_filt, vindu, overlap, 0:1:50 ,Fs, 'yaxis');
%     set(gca,'fontsize',14)
%     surf(T,f,10*log10(abs(p)),'EdgeColor','none'); 
%     %title('Akselerasjon i x-retning, 0 til 50 Hz');
%     title(['Akselerasjon i x-retning, 0 til 50 Hz, Vindu: ' num2str(vindu) ' sampler, Overlapp: ' num2str(overlap) ' sampler']);
%     view([-0.5 90]);
%     xlabel('tid i sek');
%     ylabel('Frekvens i Hz')
%     xlim([fra/Fs til/Fs]);
%     ylim([0 50]);
%     filnavn = ['X_LAD' num2str(vindu) '_' num2str(overlap)];
%     print( '-dpng', [filnavn '.png'] );
%     
%     ekstraplot(p, T, filnavn);
    
figure
subplot(2,1,1)
    [y,f,t,p] = spectrogram(ay, vindu, overlap, 0:1:(Fs/2) ,Fs, 'yaxis');
    T = linspace(fra/Fs, til/Fs, length(t));
    set(gca,'fontsize',14)
    surf(T,f,10*log10(abs(p)),'EdgeColor','none'); 
    view([-0.5 90]);
    %title('Akselerasjon i y-retning, 0 til 250 Hz');
    title(['Akselerasjon i y-retning, 0 til 250 Hz, Vindu: ' num2str(vindu) ' sampler, Overlapp: ' num2str(overlap) ' sampler']);
    xlabel('tid i sek');
    ylabel('Frekvens i Hz')
    xlim([fra/Fs til/Fs]);
    ylim([0 (Fs/2)]);
    


subplot(2,1,2)
    [y,f,t,p] = spectrogram(ay_filt, vindu, overlap, 0:1:50 ,Fs, 'yaxis'); 
    set(gca,'fontsize',14)
    surf(T,f,10*log10(abs(p)),'EdgeColor','none'); 
    %title('Akselerasjon i y-retning, 0 til 50 Hz');
    title(['Akselerasjon i y-retning, 0 til 50 Hz, Vindu: ' num2str(vindu) ' sampler, Overlapp: ' num2str(overlap) ' sampler']);
    view([-0.5 90]);
    xlabel('tid i sek');
    ylabel('Frekvens i Hz')
    xlim([fra/Fs til/Fs]); 
    ylim([0 50]);
    filnavn = ['Y_LAD' num2str(vindu) '_' num2str(overlap) ];
    print( '-dpng', [filnavn '.png'] );
    
    y_svar = y;
    f_svar = f;
    t_svar = t;
    p_svar = p;
    
    ekstraplot(p, T, filnavn);
%     
% figure
% subplot(2,1,1)
%     [y,f,t,p] = spectrogram(az, vindu, overlap, 0:1:(Fs/2) ,Fs, 'yaxis');
%     T = linspace(fra/Fs, til/Fs, length(t));
%     set(gca,'fontsize',14)
%     surf(T,f,10*log10(abs(p)),'EdgeColor','none'); 
%     view([-0.5 90]);
%     %title('Akselerasjon i z-retning, 0 til 250 Hz');
%     title(['Akselerasjon i z-retning, 0 til 250 Hz, Vindu: ' num2str(vindu) ' sampler, Overlapp: ' num2str(overlap) ' sampler']);
%     xlabel('tid i sek');
%     ylabel('Frekvens i Hz')
%     xlim([fra/Fs til/Fs]);
%     ylim([0 (Fs/2)]);
% 
% subplot(2,1,2)
%     [y,f,t,p] = spectrogram(az_filt, vindu, overlap, 0:1:50 ,Fs, 'yaxis'); 
%     set(gca,'fontsize',14)
%     surf(T,f,10*log10(abs(p)),'EdgeColor','none'); 
%     %title('Akselerasjon i z-retning, 0 til 50 Hz');
%     title(['Akselerasjon i z-retning, 0 til 50 Hz, Vindu: ' num2str(vindu) ' sampler, Overlapp: ' num2str(overlap) ' sampler']);
%     view([-0.5 90]);
%     xlabel('tid i sek');
%     ylabel('Frekvens i Hz')
%     xlim([fra/Fs til/Fs]);
%     ylim([0 50]);
% 
%     filnavn = ['Z_LAD' num2str(vindu) '_' num2str(overlap)];
%     print( '-dpng', [filnavn '.png'] );
%     
%     ekstraplot(p, T, filnavn);
    
    
%figure
%stem(y);
return


function void  = ekstraplot( p, T, filnavn)
    void = '';
    
    s = size(p);
    s = s(2);

for i = 1:s
    test(i) = sum( abs(p(:,i)) );
end

fc = 0.1;%50 / Fs;
[b,a] = butter(4,fc);

y = filter(b,a,test);

%Normaliser y for  f den i skala 0-50 for  kune plotte over spectrogramet
y = ( y- mean(y) ) + 2;
y = y*12;

%figure;
hold on;
plot(T,(y))

 print( '-dpng', [filnavn '_ekstraplot.png'] );

return